
_InitTimer0:

;StartUSB HID - TIMER0.c,28 :: 		void InitTimer0(){
;StartUSB HID - TIMER0.c,29 :: 		T0CON = vT0CON;
	MOVF        _vT0CON+0, 0 
	MOVWF       T0CON+0 
;StartUSB HID - TIMER0.c,30 :: 		TMR0H = vTMR0H;
	MOVF        _vTMR0H+0, 0 
	MOVWF       TMR0H+0 
;StartUSB HID - TIMER0.c,31 :: 		TMR0L = vTMR0L;
	MOVF        _vTMR0L+0, 0 
	MOVWF       TMR0L+0 
;StartUSB HID - TIMER0.c,32 :: 		GIE_bit = 1;
	BSF         GIE_bit+0, 7 
;StartUSB HID - TIMER0.c,33 :: 		TMR0IE_bit = 1;
	BSF         TMR0IE_bit+0, 5 
;StartUSB HID - TIMER0.c,34 :: 		}
L_end_InitTimer0:
	RETURN      0
; end of _InitTimer0

_Interrupt:

;StartUSB HID - TIMER0.c,36 :: 		void Interrupt(){
;StartUSB HID - TIMER0.c,37 :: 		if (TMR0IF_bit){
	BTFSS       TMR0IF_bit+0, 2 
	GOTO        L_Interrupt0
;StartUSB HID - TIMER0.c,38 :: 		Clock = ~Clock;
	BTG         RB1_bit+0, 1 
;StartUSB HID - TIMER0.c,39 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, 2 
;StartUSB HID - TIMER0.c,40 :: 		TMR0H = vTMR0H;
	MOVF        _vTMR0H+0, 0 
	MOVWF       TMR0H+0 
;StartUSB HID - TIMER0.c,41 :: 		TMR0L = vTMR0H;
	MOVF        _vTMR0H+0, 0 
	MOVWF       TMR0L+0 
;StartUSB HID - TIMER0.c,42 :: 		}
L_Interrupt0:
;StartUSB HID - TIMER0.c,44 :: 		USB_Interrupt_Proc();                   // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;StartUSB HID - TIMER0.c,45 :: 		}
L_end_Interrupt:
L__Interrupt13:
	RETFIE      1
; end of _Interrupt

_main:

;StartUSB HID - TIMER0.c,48 :: 		void main() {
;StartUSB HID - TIMER0.c,49 :: 		CMCON = 0x07;   //Disable comparators
	MOVLW       7
	MOVWF       CMCON+0 
;StartUSB HID - TIMER0.c,50 :: 		ADCON1 = 0x0F;  //Disable Analog functions
	MOVLW       15
	MOVWF       ADCON1+0 
;StartUSB HID - TIMER0.c,52 :: 		TRISB = 0x00;   //Output port
	CLRF        TRISB+0 
;StartUSB HID - TIMER0.c,53 :: 		PORTB = 0x00;   //Set 0 bit portB
	CLRF        PORTB+0 
;StartUSB HID - TIMER0.c,55 :: 		Clock = 0;      //Set port Clock 0
	BCF         RB1_bit+0, 1 
;StartUSB HID - TIMER0.c,57 :: 		InitTimer0();
	CALL        _InitTimer0+0, 0
;StartUSB HID - TIMER0.c,59 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;StartUSB HID - TIMER0.c,60 :: 		Delay_5ms();
	CALL        _Delay_5ms+0, 0
;StartUSB HID - TIMER0.c,62 :: 		do{
L_main1:
;StartUSB HID - TIMER0.c,63 :: 		while(!HID_Read());
L_main4:
	CALL        _HID_Read+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main5
	GOTO        L_main4
L_main5:
;StartUSB HID - TIMER0.c,65 :: 		vT0CON = readbuff[0];
	MOVF        1280, 0 
	MOVWF       _vT0CON+0 
;StartUSB HID - TIMER0.c,66 :: 		vTMR0H = readbuff[1];
	MOVF        1281, 0 
	MOVWF       _vTMR0H+0 
;StartUSB HID - TIMER0.c,67 :: 		vTMR0L = readbuff[2];
	MOVF        1282, 0 
	MOVWF       _vTMR0L+0 
;StartUSB HID - TIMER0.c,68 :: 		InitTimer0();
	CALL        _InitTimer0+0, 0
;StartUSB HID - TIMER0.c,70 :: 		for(i=0; i<3; i++){
	CLRF        _i+0 
L_main6:
	MOVLW       3
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main7
;StartUSB HID - TIMER0.c,71 :: 		writebuff[i] = readbuff[i];
	MOVLW       _writebuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _readbuff+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR0H 
	MOVF        _i+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;StartUSB HID - TIMER0.c,70 :: 		for(i=0; i<3; i++){
	INCF        _i+0, 1 
;StartUSB HID - TIMER0.c,72 :: 		}
	GOTO        L_main6
L_main7:
;StartUSB HID - TIMER0.c,74 :: 		while(!HID_Write(&writebuff,3));
L_main9:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       3
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main10
	GOTO        L_main9
L_main10:
;StartUSB HID - TIMER0.c,76 :: 		}while(1);
	GOTO        L_main1
;StartUSB HID - TIMER0.c,77 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
