#line 1 "C:/Users/Public/Documents/Mikroelektronika/StartUSB/StarUSB HID - LabView/PIC/StartUSB HID - TIMER0.c"
#line 10 "C:/Users/Public/Documents/Mikroelektronika/StartUSB/StarUSB HID - LabView/PIC/StartUSB HID - TIMER0.c"
sbit Clock at RB1_bit;
#line 20 "C:/Users/Public/Documents/Mikroelektronika/StartUSB/StarUSB HID - LabView/PIC/StartUSB HID - TIMER0.c"
unsigned char readbuff[3] absolute 0x500;
unsigned char writebuff[3] absolute 0x510;

char i;
char vT0CON = 0x82;
char vTMR0H = 0x15;
char vTMR0L = 0x9F;

void InitTimer0(){
 T0CON = vT0CON;
 TMR0H = vTMR0H;
 TMR0L = vTMR0L;
 GIE_bit = 1;
 TMR0IE_bit = 1;
}

void Interrupt(){
 if (TMR0IF_bit){
 Clock = ~Clock;
 TMR0IF_bit = 0;
 TMR0H = vTMR0H;
 TMR0L = vTMR0H;
 }

 USB_Interrupt_Proc();
}


void main() {
 CMCON = 0x07;
 ADCON1 = 0x0F;

 TRISB = 0x00;
 PORTB = 0x00;

 Clock = 0;

 InitTimer0();

 HID_Enable(&readbuff,&writebuff);
 Delay_5ms();

do{
 while(!HID_Read());

 vT0CON = readbuff[0];
 vTMR0H = readbuff[1];
 vTMR0L = readbuff[2];
 InitTimer0();

 for(i=0; i<3; i++){
 writebuff[i] = readbuff[i];
 }

 while(!HID_Write(&writebuff,3));

 }while(1);
}
